package com.wasu.cs.model;

public interface IAssetList {
	
	/**
	 * 根据index获取对应的jsonUrl，这个jsonUrl可以解析出DemandProgram
	 * @param index
	 * @return
	 */
	String getJsonUrl(int index);
	
	/**
	 * 获取联播列表的长度
	 * @return
	 */
	int getSize();

	/**
	 * 获取当前列表的长度
	 * @return
     */
	int getRealSize();

	/**
	 * 获取标题
	 * @return
     */
	String getTitle(int index);

	/**
	 * 获取封面图片地址
	 * @return
     */
	String getPicUrl(int index);

	/**
	 * 追加另一个IAssetList
	 * @param assetList
     */
	void append(IAssetList assetList);

	/**
	 * 获取分数
	 * */
	String getPoint(int index);
}
